Running runcluvfy.sh Fails with PRVG-11250 : The check “RPM Package Manager database” was not performed because it needs ‘root’ user privileges.

Before upgrading Oracle 18c GI to 19c GI, to check the readiness of your Oracle Clusterware installation for upgrading, running runcluvfy.sh gets PRVG-11250 errors:

[grid@racnode1 grid]$ ./runcluvfy.sh stage -pre crsinst -upgrade -rolling \
-src_crshome /u01/app/18.0.0/grid -dest_crshome /u01/app/19.0.0/grid \
-dest_version 19.6.0.0 -verbose 
...
..
.
Verifying RPM Package Manager database ...INFORMATION
PRVG-11250 : The check "RPM Package Manager database" was not performed 
because it needs 'root' user privileges.
...
..
.

Subscribe to get access

Read more of this content when you subscribe today.